
#Reprocess of the data following QC issue identified with Amp light data
rm(list=ls())
setwd("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
temp=read.csv("CombinedData.csv")

#Adjust globally
temp$FDR_AllTempData=p.adjust(temp$P.value, method = "fdr")

#By Drug
levels(temp$Drug)
levels(temp$Stage)
CPZ=subset(temp, temp$Drug=="CPZ")
CPZ$FDR_ByDrug=p.adjust(CPZ$P.value, method = "fdr")

CPZ_D=subset(CPZ, CPZ$Stage=="Dark")
CPZ_D$FDR_ByDrugAndStage=p.adjust(CPZ_D$P.value, method = "fdr")

CPZ_L=subset(CPZ, CPZ$Stage=="Light")
CPZ_L$FDR_ByDrugAndStage=p.adjust(CPZ_L$P.value, method = "fdr")

CPZ_CC=subset(CPZ, CPZ$Stage=="Cage Change")
CPZ_CC$FDR_ByDrugAndStage=p.adjust(CPZ_CC$P.value, method = "fdr")

Clon=subset(temp, temp$Drug=="Clon")
Clon$FDR_ByDrug=p.adjust(Clon$P.value, method = "fdr")

Clon_D=subset(Clon, Clon$Stage=="Dark")
Clon_D$FDR_ByDrugAndStage=p.adjust(Clon_D$P.value, method = "fdr")

Clon_L=subset(Clon, Clon$Stage=="Light")
Clon_L$FDR_ByDrugAndStage=p.adjust(Clon_L$P.value, method = "fdr")

Clon_CC=subset(Clon, Clon$Stage=="Cage Change")
Clon_CC$FDR_ByDrugAndStage=p.adjust(Clon_CC$P.value, method = "fdr")


Amph=subset(temp, temp$Drug=="Amph")
Amph$FDR_ByDrug=p.adjust(Amph$P.value, method = "fdr")

Amph_D=subset(Amph, Amph$Stage=="Dark")
Amph_D$FDR_ByDrugAndStage=p.adjust(Amph_D$P.value, method = "fdr")

Amph_L=subset(Amph, Amph$Stage=="Light")
Amph_L$FDR_ByDrugAndStage=p.adjust(Amph_L$P.value, method = "fdr")

Amph_CC=subset(Amph, Amph$Stage=="Cage Change")
Amph_CC$FDR_ByDrugAndStage=p.adjust(Amph_CC$P.value, method = "fdr")

output=rbind(CPZ_D,CPZ_L , CPZ_CC,  Clon_D,Clon_L , Clon_CC,  Amph_D,Amph_L , Amph_CC)
write.csv(output,  "AdjustedCombinedData.csv")




setwd("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
vert=read.csv("CombinedData.csv")
levels(vert$Drug)
levels(vert$Stage)

#Adjust globally
vert$FDR_AllTempData=p.adjust(vert$P.value, method = "fdr")

#By Drug

CPZ=subset(vert, vert$Drug=="CPZ")
CPZ$FDR_ByDrug=p.adjust(CPZ$P.value, method = "fdr")

CPZ_D=subset(CPZ, CPZ$Stage=="Dark")
CPZ_D$FDR_ByDrugAndStage=p.adjust(CPZ_D$P.value, method = "fdr")

CPZ_L=subset(CPZ, CPZ$Stage=="Light")
CPZ_L$FDR_ByDrugAndStage=p.adjust(CPZ_L$P.value, method = "fdr")

CPZ_CC=subset(CPZ, CPZ$Stage=="Cage Change")
CPZ_CC$FDR_ByDrugAndStage=p.adjust(CPZ_CC$P.value, method = "fdr")

Clon=subset(vert, vert$Drug=="Clon")
Clon$FDR_ByDrug=p.adjust(Clon$P.value, method = "fdr")

Clon_D=subset(Clon, Clon$Stage=="Dark")
Clon_D$FDR_ByDrugAndStage=p.adjust(Clon_D$P.value, method = "fdr")

Clon_L=subset(Clon, Clon$Stage=="Light")
Clon_L$FDR_ByDrugAndStage=p.adjust(Clon_L$P.value, method = "fdr")

Clon_CC=subset(Clon, Clon$Stage=="Cage Change")
Clon_CC$FDR_ByDrugAndStage=p.adjust(Clon_CC$P.value, method = "fdr")


Amph=subset(vert, vert$Drug=="Amph")
Amph$FDR_ByDrug=p.adjust(Amph$P.value, method = "fdr")

Amph_D=subset(Amph, Amph$Stage=="Dark")
Amph_D$FDR_ByDrugAndStage=p.adjust(Amph_D$P.value, method = "fdr")

Amph_L=subset(Amph, Amph$Stage=="Light")
Amph_L$FDR_ByDrugAndStage=p.adjust(Amph_L$P.value, method = "fdr")

Amph_CC=subset(Amph, Amph$Stage=="Cage Change")
Amph_CC$FDR_ByDrugAndStage=p.adjust(Amph_CC$P.value, method = "fdr")

output=rbind(CPZ_D,CPZ_L , CPZ_CC,  Clon_D,Clon_L , Clon_CC,  Amph_D,Amph_L , Amph_CC)
write.csv(output,  "AdjustedCombinedData.csv")

setwd("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
trans=read.csv("CombinedData.csv")
levels(trans$Drug)
levels(trans$Stage)

#Adjust globally
trans$FDR_AllTempData=p.adjust(trans$P.value, method = "fdr")

#By Drug

CPZ=subset(trans, trans$Drug=="CPZ")
CPZ$FDR_ByDrug=p.adjust(CPZ$P.value, method = "fdr")

CPZ_D=subset(CPZ, CPZ$Stage=="Dark")
CPZ_D$FDR_ByDrugAndStage=p.adjust(CPZ_D$P.value, method = "fdr")

CPZ_L=subset(CPZ, CPZ$Stage=="Light")
CPZ_L$FDR_ByDrugAndStage=p.adjust(CPZ_L$P.value, method = "fdr")

CPZ_CC=subset(CPZ, CPZ$Stage=="Cage Change")
CPZ_CC$FDR_ByDrugAndStage=p.adjust(CPZ_CC$P.value, method = "fdr")

Clon=subset(trans, trans$Drug=="Clon")
Clon$FDR_ByDrug=p.adjust(Clon$P.value, method = "fdr")

Clon_D=subset(Clon, Clon$Stage=="Dark")
Clon_D$FDR_ByDrugAndStage=p.adjust(Clon_D$P.value, method = "fdr")

Clon_L=subset(Clon, Clon$Stage=="Light")
Clon_L$FDR_ByDrugAndStage=p.adjust(Clon_L$P.value, method = "fdr")

Clon_CC=subset(Clon, Clon$Stage=="Cage Change")
Clon_CC$FDR_ByDrugAndStage=p.adjust(Clon_CC$P.value, method = "fdr")


Amph=subset(trans, trans$Drug=="Amph")
Amph$FDR_ByDrug=p.adjust(Amph$P.value, method = "fdr")

Amph_D=subset(Amph, Amph$Stage=="Dark")
Amph_D$FDR_ByDrugAndStage=p.adjust(Amph_D$P.value, method = "fdr")

Amph_L=subset(Amph, Amph$Stage=="Light")
Amph_L$FDR_ByDrugAndStage=p.adjust(Amph_L$P.value, method = "fdr")

Amph_CC=subset(Amph, Amph$Stage=="Cage Change")
Amph_CC$FDR_ByDrugAndStage=p.adjust(Amph_CC$P.value, method = "fdr")


output=rbind(CPZ_D,CPZ_L , CPZ_CC,  Clon_D,Clon_L , Clon_CC,  Amph_D,Amph_L , Amph_CC)
write.csv(output,  "AdjustedCombinedData.csv")




###AUC analysis
#So we are calculating the same auc for the same time period - I have removed the first time point for all groups because two of them have missing values in excel

library(MESS)

setwd("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
trans=read.csv("CombinedData_FORAUC.csv")
trans$Index<-c(1:length(trans$Stage))


#wide to long format
library(tidyr)
data_long=gather(data=trans, key=condition, value=measurement, Vehicle.1:Treated.6, factor_key=TRUE )
data_long$ID=paste(data_long$Drug, data_long$Stage, data_long$condition, sep="")


library(plyr)

AUC_By_Animal<-function(dataset, Xvar, Yvar){
  require(MESS)
  if((sum(is.finite(dataset[ , Yvar])))>2){
    output=auc(x=(dataset[ , Xvar]) , y=(dataset[ , Yvar]))
    return(output)
  }else{
    return(NA)
  }
}

output1 = ddply(.data=data_long, .variables=c("Variable", "Drug", "Stage", "ID"), .fun=AUC_By_Animal, Xvar="TimeIndex", Yvar="measurement")		
output1

write.csv(output1, "AUC_TRAN_Data.csv")
#added manually a column called Group from the ID column - indicate Treatment versus control
#removed NA

output1=read.csv("AUC_TRAN_Data.csv")

library(ggplot2)
plot1 <- ggplot(data=output1,
                mapping=aes(x=Group,y=V1))
plot1+
  geom_boxplot()+
  xlab("Treatment")+
  ylab("AUC measurement")+
  theme(axis.text.x=element_text(angle=90,hjust=1)) +
  facet_grid(~ Variable)+
  theme(strip.text.x = element_text(size = 8, angle =90))

ggsave("AUC_tran.pdf")

#Manually in excel (see .xls version of AUC_TRAN_Data,  the groups were compared using an unequal variance t-Test)

#the p values were adjusted for multiple testing as below:
pval=c(0.001729627,
       0.017451326,
       0.01151919,
       0.039580502,
       0.129261004,
       0.971811321,
       7.47497E-05,
       0.013232807,
       4.71845E-05
       )

p.adjust(pval, method = "fdr")

#################################Next dataset


setwd("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")

temp=read.csv("CombinedData_FORAUC.csv")
temp$Index<-c(1:length(temp$Stage))


#wide to long format
library(tidyr)
data_long=gather(data=temp, key=condition, value=measurement, Vehicle.1:Treated.6, factor_key=TRUE )
data_long$ID=paste(data_long$Drug, data_long$Stage, data_long$condition, sep="")

output1 = ddply(.data=data_long, .variables=c("Variable", "Drug", "Stage", "ID"), .fun=AUC_By_Animal, Xvar="TimeIndex", Yvar="measurement")		
output1

write.csv(output1, "AUC_TEMP_Data.csv")
#added manually a column called Group  - indicate Treatment versus control
#removed NA

output1=read.csv("AUC_TEMP_Data.csv")

plot1 <- ggplot(data=output1,
                mapping=aes(x=Group,y=V1))
plot1+
  geom_boxplot()+
  xlab("Treatment")+
  ylab("AUC measurement")+
  theme(axis.text.x=element_text(angle=90,hjust=1)) +
  facet_grid(~ Variable)+
  theme(strip.text.x = element_text(size = 8, angle =90))

ggsave("AUC_temp.pdf")

#Manually in excel (see .xls version of AUC_TEMP_Data,  the groups were compared using an unequal variance t-Test)

#the p values were adjusted for multiple testing as below:


pval=c(0.099661591,
       0.477359441,
       0.987135749,
       0.001717787,
       0.004299935,
       0.462470556,
       0.160207704,
       0.143908873,
       0.016165817
       
)

p.adjust(pval, method = "fdr")


#################################Next dataset


setwd("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX")
vert=read.csv("CombinedData_FORAUC.csv")
vert$Index<-c(1:length(vert$Stage))

#wide to long format
library(tidyr)
data_long=gather(data=vert, key=condition, value=measurement, Vehicle.1:Treated.6, factor_key=TRUE )
data_long$ID=paste(data_long$Drug, data_long$Stage, data_long$condition, sep="")

output1 = ddply(.data=data_long, .variables=c("Variable", "Drug", "Stage", "ID"), .fun=AUC_By_Animal, Xvar="TimeIndex", Yvar="measurement")		
output1

write.csv(output1, "AUC_VERT_Data.csv")
#added manually a column called Group  - indicate Treatment versus control
#removed NA

output1=read.csv("AUC_VERT_Data.csv")

plot1 <- ggplot(data=output1,
                mapping=aes(x=Group,y=V1))
plot1+
  geom_boxplot()+
  xlab("Treatment")+
  ylab("AUC measurement")+
  theme(axis.text.x=element_text(angle=90,hjust=1)) +
  facet_grid(~ Variable)+
  theme(strip.text.x = element_text(size = 8, angle =90))

ggsave("AUC_vert.pdf")

#Manually in excel (see .xls version of AUC_VERT_Data,  the groups were compared using an unequal variance t-Test)

#the p values were adjusted for multiple testing as below:


pval=c(0.000691347,
       0.065399838,
       0.00153515,
       0.001640828,
       0.001739897,
       0.003365563,
       0.599813575,
       0.011901159,
       1.44224E-05
       
)

p.adjust(pval, method = "fdr")

